body {
  padding: 0;
  font-family: 'Trebuchet MS', 'Lucida Sans Unicode', 'Lucida Grande',
    'Lucida Sans', Arial, sans-serif;
}
* {
  box-sizing: border-box;
}
button {
  padding: 0.6em 1em;
  border-radius: 3px;
  background-color: cadetblue;
  color: #fff;
  border: none;
}
button:hover {
  cursor: pointer;
  background-color: rgb(117, 176, 179);
}

input {
  padding: 0.6em 1em;
  border-radius: 3px;
  border: 1px solid #ddd;
}

a {
  color: cadetblue;
}
a:hover {
  color: rgb(73, 131, 133);
}

.container {
  display: flex;
  justify-content: center;
  align-items: center;
}

.app-container {
  width: 980px;
  display: grid;
  grid-template-columns: 200px auto;
  grid-template-rows: auto;
  grid-template-areas:
    'header header'
    'nav chart';
  gap: 1em;
}

.header {
  display: flex;
  justify-content: space-between;
  align-items: center;
  grid-area: header;
  border-bottom: 1px solid #ddd;
}

.header nav {
  display: flex;
  gap: 1em;
}
.nav-menu {
  border-right: 1px solid cadetblue;
  grid-area: nav;
  display: flex;
  flex-direction: column;
  gap: 1em;
}

.nav-ul {
  display: flex;
  flex-direction: column;
  list-style: none;
  margin: 0;
  padding: 0;
}

.nav-li {
  margin: 0;
  padding: 0;
}
.nav-li a {
  text-decoration: none;
  color: #777;
  padding: 0.6em 1em;
  border-radius: 3px 0 0 3px;
  display: block;
  transition: all 0.2s;
}
.nav-li a:hover {
  color: #fff;
  background-color: cadetblue;
}

.chart-container {
  display: flex;
  flex-direction: column;
  gap: 2em;
}
.chart {
  grid-area: chart;
  display: flex;
  flex-direction: column;
  gap: 1em;
}

.chart-header {
  display: grid;
  grid-template-rows: auto;
  justify-content: space-between;
  font-size: 1.2em;
  text-transform: uppercase;
  border-bottom: 1px solid #ddd;
  padding-bottom: 0.6em;
  color: cadetblue;
}

.chart.trucks .chart-header {
  grid-template-columns: repeat(5, 1fr);
}
.chart.loads .chart-header {
  grid-template-columns: 10% 10% 10% 20% 20% 20%;
}

.data-row {
  display: grid;
  justify-content: space-between;
  align-items: center;
  padding: 0.4em 1em;
  transition: all 0.3s;
}

.chart.trucks .data-row {
  grid-template-columns: repeat(5, 1fr);
}
.chart.loads .data-row {
  grid-template-columns: 10% 10% 10% 20% 20% 20%;
}

.data-row:hover {
  background-color: #eee;
  border-radius: 7px;
}
.login-form,
.register-form {
  display: flex;
  flex-direction: column;
  gap: 1em;
  margin-bottom: 1em;
}
.action-buttons {
  display: flex;
  gap: 0.4em;
  align-items: center;
  justify-content: flex-end;
}
.action-buttons button {
  padding: 4px 6px 2px;
  border-radius: 5px;
  visibility: hidden;
}

.data-row:hover .action-buttons button {
  visibility: visible;
}

.pagination-container {
  display: flex;
  gap: 0.4em;
}
.page-numbers {
  display: flex;
  gap: 0.2em;
}
.page.current {
  background-color: rgb(117, 176, 179);
}
.operations {
  display: flex;
  align-items: center;
  justify-content: center;
}
.create-load,
.create-truck {
  width: 90%;
}
.create-load-form,
.create-truck-form {
  display: flex;
  flex-direction: column;
  gap: 1em;
}
.create-load-button,
.create-truck-button {
  align-self: flex-end;
}
.create-load-dimentions {
  display: flex;
  font-size: 0.9em;
  gap: 1em;
}
.create-load-dimentions input {
  width: 60px;
}
.profile {
  display: flex;
  flex-direction: column;
  gap: 2em;
}
.avatar {
  align-self: center;
  width: 200px;
  border-radius: 50%;
  overflow: hidden;
  height: 200px;
  display: flex;
  justify-content: center;
  align-items: center;
}
.avatar img {
  width: 150%;
}
.change-avatar {
  display: none;
}
